get
https://secure.fusebill.com/v1/subscriptionSummary?query=field:queryString
This action will retrieve a list of summarized subscriptions. The subscriptions returned will be from a search on the entire customer base. For example, a call can be made to retrieve a list of all active subscriptions for all customers on your account. Since this will likely return a very large list, it is strongly recommended that pagination is used.
Query String Parameters
This call supports string filtering (Read More) and datetime/numeric range filtering (Read More)
&query=parameterName:Value
| Parameter Name | Acceptable Values | Parameter Name | Acceptable Values |
|---|---|---|---|
activatedTimestamp | Date Range | name | String |
cancellationTimestamp | Date Range | nextBillingDate | Date Range |
canMigrate | Boolean | nextPeriodStartDate | Date Range |
contractEndTimestamp | Date Range | numberOfInterval | Integer |
contractStartTimestamp | Date Range | planCode | String |
createdTimestamp | Date Range | planId | Integer |
description | String | provisionedTimestamp | Date Range |
expiryDate | Date Range | Reference | String |
id | Integer | remainingInterval | Integer |
interval | Monthly, Yearly | scheduledActivationTimestamp | Date Range |
lastBillingDate | Date Range | scheduledMigrationDate | Date Range |
modifiedTimestamp | Date Range | subscriptionStatus | Active, Draft, Cancelled, Provisioning, Expired, Migrated, Suspended, StandingOrder |
MonthlyRecurringRevenue | Decimal Range | suspendedTimestamp | Date Range |
NetMonthlyRecurringRevenue | Decimal Range |
This call supports pagination (Read More)
&pageSize=100&pageNumber=0
This call supports sorting Read More
&sortOrder=Ascending or &sortOrder=Descending
&sortExpression=expression
